SmapUtil (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.compiler

## Class SmapUtil

- java.lang.Object
- - org.apache.jasper.compiler.SmapUtil

-     public class SmapUtil
      extends Object

  Contains static utilities for generating SMAP data based on the current version of Jasper.
  Author:
    Jayson Falkner, Shawn Bayern, Robert Field (inner SDEInstaller class), Mark Roth, Kin-man Chung

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmapUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `evaluateNodes(Node.Nodes nodes, SmapStratum s, HashMap<String,SmapStratum> innerClassMap, boolean breakAtLF)`
    `static Map<String,SmapStratum>` | `generateSmap(JspCompilationContext ctxt, Node.Nodes pageNodes)` Generates an appropriate SMAP representing the current compilation context.
    `static void` | `installSmap(Map<String,SmapStratum> smapInfo)`
    `static SmapStratum` | `loadSmap(String className, ClassLoader cl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmapUtil

          public SmapUtil()

  - ### Method Detail

    - #### generateSmap

          public static Map<String,SmapStratum> generateSmap(JspCompilationContext ctxt,
                                                             Node.Nodes pageNodes)
                                                      throws IOException

      Generates an appropriate SMAP representing the current compilation context. (JSR-045.)
      Parameters:
        `ctxt` - Current compilation context
        `pageNodes` - The current JSP page
      Returns:
        a SMAP for the page
      Throws:
        `IOException` - Error writing SMAP

    - #### installSmap

          public static void installSmap(Map<String,SmapStratum> smapInfo)
                                  throws IOException

      Throws:
        `IOException`

    - #### evaluateNodes

          public static void evaluateNodes(Node.Nodes nodes,
                                           SmapStratum s,
                                           HashMap<String,SmapStratum> innerClassMap,
                                           boolean breakAtLF)

    - #### loadSmap

          public static SmapStratum loadSmap(String className,
                                             ClassLoader cl)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.